Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your Particulate Matter Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"pm", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletParticulateMatter\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Get current PM concentration", "*)"}],
   RowBox[{"pm10", "=", "0", ";", "pm25", "=", "0", ";", "pm100", "=", "0"}],
   RowBox[{"pm", "@", RowBox[{"GetPMConcentration", "[", RowBox[{"pm10", ",", "pm25", ",", "pm100"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"Print", "[", RowBox[{"\"\<PM 1.0: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{"pm10", ",", "\"\<\.b5g/m\.b3\>\""}], "]"}], "]"}], "]"}]}], "]"}],
   RowBox[{"Print", "[", RowBox[{"\"\<PM 2.5: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{"pm25", ",", "\"\<\.b5g/m\.b3\>\""}], "]"}], "]"}], "]"}]}], "]"}],
   RowBox[{"Print", "[", RowBox[{"\"\<PM 10.0: \>\"", "<>", RowBox[{"ToString", "[", RowBox[{"N", "[", RowBox[{"Quantity", "[", RowBox[{"pm100", ",", "\"\<\.b5g/m\.b3\>\""}], "]"}], "]"}], "]"}]}], "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "pm", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
